
QGIS Application - Feature request #100

identify tool: the .Area "column" is missleaading

2006-04-20 02:27 PM - werchowyna-epf-pl -

Status: Closed

Priority: Low

Assignee: Brendan Morley -

Category: Vectors

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10159

Description

1. add grass polygon vector

2. identify too

3. there will be non-existant .Area "column" displayed in the column tree

Reporting area is a nice feature, but it would be better to have it reported some other way - not suggesting that there is an .Area column in

my datatable. Don't confuse the user. Please separate area report from the layer column tree.

Thanks,

Maciek

History

#1 - 2006-04-21 02:12 AM - Redmine Admin

I don't think it is user misleading - each of these special attributes starts with dot (.AREA for polygons, .LENGHT for lines) so it is easy to find out which

attribute is attribute from table and which is the special attribute.

Btw. it is not only GRASS layers related. This 'Idetify feature' window is shown for all non-editable ('Allow editing' unchecked) layers.

#2 - 2006-05-15 06:01 PM - Gavin Macaulay -

We could add a tooltip that states that the column is a derived one...

#3 - 2006-07-11 06:53 PM - Brendan Morley -

- Status changed from Open to In Progress

Perhaps the Area, Length, etc can be put in a differing style to distinguish them from the layer attributes.

There are two ways I can think of to do this:

1. In QT4 style, the [[QgsIdentifyResults]] window can be promoted to a QTreeWidget, which will allow differing fonts in the results pane.  The derived

attrbutes could be put in italics.

However, converting the Q3ListView to a QTreeWidget is not trivial and should be postponed past the 0.8 release.  Which leads to the second way:

2. Perhaps a branch can be added in the identify-results window called "Derived Attributes", and all the calculated attributes added under that.
#4 - 2006-07-13 06:34 PM - Brendan Morley -

- Resolution set to fixed

- Status changed from In Progress to Closed

This should be addressed as of commit:8c38434f (SVN r5593).

In the Identify results window, derived attributes such as Length or Area are now placed in a subtree of the attributes list called "(Derived)".  This

distinguishes them from explicit attributes that are a part of the user's layer.

#5 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
